︠1345e1e0-242a-4305-bf17-3f49212f3240is︠
%html
<h2 style="color:blue">
    Bard - Sage - Basics Demo
</h2>
︡63f558b8-155d-499c-8da7-280fabf03e95︡{"html":"<h2 style=\"color:blue\">\n    Bard - Sage - Basics Demo\n</h2>\n"}︡
︠8c0e3f17-7c49-4a83-b5b7-4b4ea1e44f6di︠
%html

<h3>
    Using the Sage Interface
</h3>

<ul>
    <li>Each activity starts after a gray horizontal line.</li>
    <li>Write the commands, then put the cursor in the code, and then click on Run.</li>
    <li>The output will appear after the commands, and a new gray line will appear, allowing for a new activity.</li>
    <li>If there is an error in the code, error messages will appear in red.</li>
    <li>Many Sage commands can be found in the menus at the top of the page.  When a menu item is clicked, an example will appear where the cursor was; the example can then be modified to do what you want.</li>
    </ul>

︡576245ba-2dfc-471a-8eb0-b0e23aeccda9︡{"html":"\n<h3>\n    Using the Sage Interface\n</h3>\n\n<ul>\n    <li>Each activity starts after a gray horizontal line.</li>\n    <li>Write the commands, then put the cursor in the code, and then click on Run.</li>\n    <li>The output will appear after the commands, and a new gray line will appear, allowing for a new activity.</li>\n    <li>If there is an error in the code, error messages will appear in red.</li>\n    <li>Many Sage commands can be found in the menus at the top of the page.  When a menu item is clicked, an example will appear where the cursor was; the example can then be modified to do what you want.</li>\n    </ul>"}︡
︠5e69c7b6-79ce-4afc-8724-9a5ad5d383a2i︠
%html

<h3>
    A Few Tips for Using Sage
</h3>

<ul>
    <li>If you use variables (for example in solving equations), you need to declare the variables before you use them, which is done, for example, by writing<br>
        <tt>x, y, z = var('x, y, z')</tt><br>
        in the first line of your code.  The variable <tt>x</tt> is pre-defined, and if that is the only variable you use, it does not need to be declared.</li>
    <li>Writing <tt>c = 3</tt> assigns the value <tt>3</tt> to the symbol <tt>c</tt> (which is a constant, not a variable, and so it does not have to be declared as a variable).  To solve an equation or test if an equation is true, write <tt>c == 3</tt>.</li>
    <li>If you do a numerical calculation starting with fractions, the solution will be in fractions as well.  To obtain a decimal solution, append <tt>.n()</tt> at the end of the expression.</li>
    <li>Many common functions and constants are written just as expected, for example <tt>sin(x)</tt>, <tt>ln(x)</tt> and <tt>pi</tt>.</li>
    <li>Horizontal space within a line makes no difference, but can be used for readability.  However, Sage does use indentation for some commands (for example if-else), so keep the indentation that appears when such commands are invoked from the menu at the top of the page.</li>
    <li>If you are not sure how to achieve something in Sage, you can try looking things up on the web; make sure that you write "Sage math" and not just "Sage" as part of your search.</li>
</ul>
︡67605449-6959-48b8-8065-32e784cc0bc2︡{"html":"\n<h3>\n    A Few Tips for Using Sage\n</h3>\n\n<ul>\n    <li>If you use variables (for example in solving equations), you need to declare the variables before you use them, which is done, for example, by writing<br>\n        <tt>x, y, z = var('x, y, z')</tt><br>\n        in the first line of your code.  The variable <tt>x</tt> is pre-defined, and if that is the only variable you use, it does not need to be declared.</li>\n    <li>Writing <tt>c = 3</tt> assigns the value <tt>3</tt> to the symbol <tt>c</tt> (which is a constant, not a variable, and so it does not have to be declared as a variable).  To solve an equation or test if an equation is true, write <tt>c == 3</tt>.</li>\n    <li>If you do a numerical calculation starting with fractions, the solution will be in fractions as well.  To obtain a decimal solution, append <tt>.n()</tt> at the end of the expression.</li>\n    <li>Many common functions and constants are written just as expected, for example <tt>sin(x)</tt>, <tt>ln(x)</tt> and <tt>pi</tt>.</li>\n    <li>Horizontal space within a line makes no difference, but can be used for readability.  However, Sage does use indentation for some commands (for example if-else), so keep the indentation that appears when such commands are invoked from the menu at the top of the page.</li>\n    <li>If you are not sure how to achieve something in Sage, you can try looking things up on the web; make sure that you write \"Sage math\" and not just \"Sage\" as part of your search.</li>\n</ul>\n"}︡
︠7c82f30b-6885-41f5-84e9-d3dcff668019is︠
%html

<h3>
    Examples of Basic Sage Commands
</h3>

<ul>
    <li>For each of the following examples, try it by putting the cursor in the code, and then clicking on Run.</li>
</ul>
︡c54bee73-ef74-45ec-942b-bc4c081075c7︡{"html":"\n<h3>\n    Examples of Basic Sage Commands\n</h3>\n\n<ul>\n    <li>For each of the following examples, try it by putting the cursor in the code, and then clicking on Run.</li>\n</ul>\n"}︡
︠afe7f951-4c6c-48b4-99ee-42c0e00517d0is︠
%html

<h4>
    Adding two numbers
</h4>

︡c4737a84-c5f5-4bf3-8835-d2ddcf56b337︡{"html":"\n<h4>\n    Adding two numbers\n</h4>\n\n"}︡
︠570e0d6f-d94a-456b-8620-3f617ce8470b︠
2 + 3
︡6e876436-0bbd-4723-bdc5-82fad0dad90b︡{"stdout":"5\n"}︡
︠8cd33e62-27f9-43aa-8c4f-2235fac330c4i︠
%html

<h4>
    Defining a function
</h4>
︡abc8ba12-9e31-4aab-9798-e56f37eeea91︡{"html":"\n<h4>\n    Defining a function\n</h4>\n"}︡
︠6a53efe4-4610-42e2-bf04-aa40aab9c71f︠
f(x) = x^2
f(5)
︡8da113f8-63b6-4231-b990-5af9b983bf43︡{"stdout":"25\n"}︡
︠cf232d9b-88b1-4a51-8c5d-e3a21c39363ai︠
%html

<h4>
    Plotting a function of one variable
</h4>
︡5e287b8f-4950-4d51-a123-ea63ffaffde0︡{"html":"\n<h4>\n    Plotting a function of one variable\n</h4>\n"}︡
︠1078b6be-6a82-4059-a14a-f843efe06cd1︠
plot(2 * sin(x), (x, -4*pi, 4*pi))
︡628434ed-99a1-4b67-9f30-b0c7243e215e︡{"once":false,"file":{"show":true,"uuid":"1d3f9684-5339-4f39-9671-1d7577ece12c","filename":"/projects/f6fd3bab-af29-460b-9831-1575eaed5f60/.sage/temp/compute15dc0/17250/tmp_FccpWu.svg"}}︡
︠be0f9495-846f-4c97-accd-112203dd556ei︠
%html

<h4>
    Plotting a function of two variables
</h4>
︡edd19c94-1402-4fb4-8bdb-bd81c8ca9264︡{"html":"\n<h4>\n    Plotting a function of two variables\n</h4>\n"}︡
︠ea1e1fe5-ec97-471b-bfbd-2a1f9b4da380︠
x, y = var('x, y')
plot3d(x^2 - y^2, (x, -5, 5), (y, -5, 5))
︡cbc1c72d-662d-46c4-92ca-40174b4e2457︡{"file":{"uuid":"40ed565e-d8d4-4c30-b958-439e41b4dcbf","filename":"40ed565e-d8d4-4c30-b958-439e41b4dcbf.sage3d"}}︡
︠22fbc192-7546-4782-be75-817fda992534i︠
%html

<h4>
    Finding a derivative
</h4>
︡1742cdd7-6df7-4544-855b-a5befeafe4ae︡{"html":"\n<h4>\n    Finding a derivative\n</h4>\n"}︡
︠f5edff3c-9815-49a3-8b36-aa2d1465a0e8︠
diff(x^2*cos(x), x)
︡8686428b-3e57-431a-bc90-d0313a1c738f︡{"stdout":"-x^2*sin(x) + 2*x*cos(x)\n"}︡
︠d5b853a0-7078-4c42-b58d-847e302bcb0a︠

︠84e8816f-e0d7-4165-b2b6-35a90703117ci︠
%html

<h4>
    Finding an indefinite integral
</h4>
<ul>
    <li>Note that Sage does not give the <tt>+ C</tt>, but you need to add that when you write the solution.</li>
</ul>
︡ef9efd4b-3754-4c33-900b-681ecb3a19a0︡{"html":"\n<h4>\n    Finding an indefinite integral\n</h4>\n<ul>\n    <li>Note that Sage does not give the <tt>+ C</tt>, but you need to add that when you write the solution.</li>\n</ul>"}︡
︠643f1554-676c-46f6-ad8c-876c76d04bf1︠
integrate(x^2 + ln(x), x)
︡37b9115d-5154-4747-94b5-d6eddcf28b65︡{"stdout":"1/3*x^3 + x*log(x) - x\n"}︡
︠e1f3af6e-f4d9-43be-aa8c-b407d4bc4728i︠
%html

<h4>
    Finding a definite integral
</h4>
︡b0d4cc44-d6e3-4211-9121-beec79400754︡{"html":"\n<h4>\n    Finding a definite integral\n</h4>\n"}︡
︠aa9cb0ee-a298-4a1d-aac1-120a2af40081︠
integrate(x^2, x, 0, 2)
︡1f6a12ed-93b1-4f37-91be-e99fc2c7f2d8︡{"stdout":"8/3\n"}︡
︠3629456b-3475-4884-b805-f350c7b0fa6bi︠
%html

<h4>
    Finding a definite integral, with decimal answer
</h4>
︡42e6001a-acb0-45d7-98a6-89d834168d4d︡{"html":"\n<h4>\n    Finding a definite integral, with decimal answer\n</h4>\n"}︡
︠3ffa37bf-02bb-47e5-a8c8-e0ea43c6685f︠
integrate(x^2, x, 0, 2).n()
︡0cd85a04-525b-461e-a523-44f6dc1c129d︡{"stdout":"2.66666666666667\n"}︡
︠e27a64e3-2f74-4db3-96ce-2ff5d194dcc6i︠
%html

<h4>
    Generating a list
</h4>
<ul>
    <li>Note that the value of <tt>n</tt> goes from the first number until one less than the last number.</li>
</ul>
︡b1972cd5-b625-46e5-87c4-b942f0edb18d︡{"html":"\n<h4>\n    Generating a list\n</h4>\n<ul>\n    <li>Note that the value of <tt>n</tt> goes from the first number until one less than the last number.</li>\n</ul>\n"}︡
︠931103d0-c6d5-46e7-afa8-ce1a63304f41︠
[n^2 for n in range(1, 11)]
︡68b8d37a-1d7a-407e-9fac-9a2be604723b︡{"stdout":"[1, 4, 9, 16, 25, 36, 49, 64, 81, 100]\n"}︡
︠c56157c1-4275-4952-be29-9bb2ab44b00b︠









